    Program PRISM
!
!  4-mirror Bow-tie OMC with readout QPD's etc.
!
    use optocad
    use rsplot
!
    character(len=128)        :: ocd(20)=''
    character(len=128)       :: pri(3)=''
    character(len=128)       :: mir(3)=''
!
    ocd(1)='b x=-29.658, y=-20.0, w=0.494, ag=90-0.225                  # OMC cavity'
! The OMC cavity
    ocd(2)='i prism,  0.,   0.,   -175.   % crtstr, .993  # OMC_1>> @lc9,-7'
    ocd(3)='i prism,  0.,   63.1,   175.   % str, .993  # OMC_3>> @lc9,-7'
    ocd(4)='i mirror, 357.99, 0.,  -5.   % str, -0.0005, 0.999  # OMC_2>> @lc9,-7'
    ocd(5)='i mirror, 357.99, 63.1,  5.  % str, -0.0005, 0.999  # OMC_4>> @lc9,-7'
! The input optics
    ocd(6)='i prism, -27.,  -2.0, 140.0 % str,  r=0.999# IN_1>> @lc9,-7'
    ocd(7)='i prism, -28., 30., 135.0 % r,  r=1# IN_2>> @lc9,-7'
    ocd(8)='i prism, -29., 85., 135.0 % str,  r=1.0# IN_2>> @lc9,-7'
    ocd(9)='i qpd.ocd, 0., 30.0, 0. # QPD_1>>'
    ocd(10)='i qpd.ocd, 350., 80.0, 0. # QPD_2>>'
! The output optics
   
! 
!   Prism definition
    pri(1)='p act=srti(tnr){str}, refl=0.9' 
    pri(2)='d @act, 0., 0., 12.5, ag=0., c=0, r=refl  # Mirror'
    pri(3)=' +  {str}3, dm=8.0, da=179.5, r=0.001'
!
!  Mirror Definition
    mir(1)='p act1=srt, curv=-0.0005, refl=0.9'
    mir(2)='d @act1, 0., 0., 6.25, ag=0, c=curv, r=refl # Mirror'
    mir(3)=' + t, dm=3.0, da=179.5, r=0.001 # AR'
!
    call oc_init(pform='LETTER_L',unit='mm')            ! Initialize OPTOCAD (A4 landscape)
    call oc_frame(-70.,-30.,380.,120.,40.,30.,0.4,glp=0)     ! Set up a frame
    call oc_set(nice = 1,        &     ! One iteration for cavity eigenray
                pstat= 1,        &     ! Switch off output of statistics
                fslb = 2.,       &     ! Font size for labels (mm)
                rix = (/1.44963,3./), &   ! index of refraction
                wctl=0,         &    ! Turn off writing cavity test data
                print='rs s2 act rd ang w0t w0s z2t z2s pw lb', &
                write='rs x1 y1 x2 y2')
    call oc_bind('prism',pri)
    call oc_bind('mirror',mir)
    call oc_input(ocd)                 ! read in data of optical components
!
    call oc_trace(of='prism.txt')                      ! Trace all ray segments
    call oc_beam(wb=3.0,fill=ps_color((/1.,.8,.8/)))! Plot outer part of beam
    call oc_beam(wb=2.0,fill=ps_color((/1.,.6,.6/)))! Plot middle part of beam
    call oc_beam(wb=1.0,fill=2)                     ! Plot inner part of beam
    call oc_beam(wb=0.0,lc=1,lp=5,lw=.2)     ! Plot the beam axes in black
    call oc_surf(lw=.3,snc=0)          ! Plot all surfaces with linewidth 0.3mm 
!
    call oc_exit
    end                    
